## mx4j.tools.remote.soap
Class SSLSOAPService

    java.lang.Object
      mx4j.tools.remote.http.HTTPService
          mx4j.tools.remote.soap.SOAPService
              mx4j.tools.remote.soap.SSLSOAPService

All Implemented Interfaces:
  HTTPConnection, JMXConnection

public class SSLSOAPService
extends SOAPService

This 'pivot' is the one to be used when the invocation is uses the https protocol

Version:
  $Revision: 1.1 $

Constructor Summary
`SSLSOAPService()`

Method Summary
`protected java.lang.String` `getProtocol()`

Methods inherited from class mx4j.tools.remote.soap.SOAPService
`findConnectionId, findRequestURL`

Methods inherited from class mx4j.tools.remote.http.HTTPService

`addConnection, addNotificationListener, addNotificationListener, close, connect, createMBean, createMBean, fetchNotifications, findConnection, findJMXServiceURL, getAttribute, getAttributes, getConnectionId, getDefaultDomain, getDomains, getLogger, getMBeanCount, getMBeanInfo, getObjectInstance, invoke, isInstanceOf, isRegistered, queryMBeans, queryNames, removeConnection, removeNotificationListener, removeNotificationListener, removeNotificationListeners, setAttribute, setAttributes, unregisterMBean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSLSOAPService

    public SSLSOAPService()

Method Detail

### getProtocol

    protected java.lang.String getProtocol()

  Overrides:
    `getProtocol` in class `SOAPService`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.